Subject: Re: [PATCH v2 1/3] range-diff: treat notes like `log`

From: Junio C Hamano <[email-masked]>
Date: Tue, 05 Sep 2023 15:19:55 -0700

Johannes Schindelin <[email-masked]> writes:

> Hi Kristoffer,
>
> On Mon, 4 Sep 2023, Kristoffer Haugsbakk wrote:
>
>> I would like to use your solution instead. Thank you.
>
> Please do! You're welcome.
>
>> Maybe you could supply a commit message for v3? v3 would then consist of
>> two commits:
>>
>> 1. Your fix
>> 2. Those two tests
>>
>> Or should it be handled in some other way?
>
> Personally, I'd prefer it if you just squashed the changes into your
> patch. If you want, I'd be delighted about a Helped-by (or even
> Co-authored-by) footer, but taking ownership would be fine with me, too.

Sounds very sensible.

Thanks, both.  Will look forward to seeing an updated series.